Subject: Re: Perl

From: Brent Cook <[email-masked]>
Date: Tue, 14 Nov 2006 10:48:12 -0600

On Tuesday 14 November 2006 10:39, Lee Revell wrote:
> On Tue, 2006-11-14 at 10:28 -0600, Kim Phillips wrote:
> > On Mon, 13 Nov 2006 17:56:28 -0500
> >
> > Lee Revell <[email-masked]> wrote:
> > > I've been trying to cross compile Perl for a PPC440 board and it just
> >
> > <snip>
> >
> > > Is there any easy solution?  Can someone send me a binary?
> >
> > ltib works for me:
> >
> > http://savannah.nongnu.org/projects/ltib/
>
> How do I build a perl binary with it?  I'm not looking to replace my
> toolchain or create a full BSP or anything.  I just need a /usr/bin/perl
> that will run on PPC440.
>
> Lee

buildroot, another rootfs framework, doesn't even try to cross-compile all of 
perl. It does build something called 'miniperl', which is just the perl 
binary without all of the supporting libraries and features. It may be enough 
for you. You can look at the makefile here:

http://buildroot.uclibc.org/cgi-bin/viewcvs.cgi/trunk/buildroot/package/microperl/microperl.mk?rev=11418&view=markup